import request from '@/utils/request'

// 查询档案目录列表
export function listCatalog(query) {
  return request({
    url: '/dangan/catalog/list',
    method: 'get',
    params: query
  })
}

// 查询档案目录详细
export function getCatalog(id) {
  return request({
    url: '/dangan/catalog/' + id,
    method: 'get'
  })
}

// 新增档案目录
export function addCatalog(data) {
  return request({
    url: '/dangan/catalog',
    method: 'post',
    data: data
  })
}

// 修改档案目录
export function updateCatalog(data) {
  return request({
    url: '/dangan/catalog',
    method: 'put',
    data: data
  })
}

// 删除档案目录
export function delCatalog(id) {
  return request({
    url: '/dangan/catalog/' + id,
    method: 'delete'
  })
}
